<template>
    <div class="w-10 flex flex-column h-auto m-auto">
        <h5 class="text-lg text-white-alpha-90">New Username</h5>
        <InputText v-model="newUsername" class="p-input-panel p-0 m-0 flex justify-content-center mt-1 h-2rem" inputClass="w-full"/>
        <Button class="mt-5" label="Change Username" @click="changePassword"></Button>
    </div>
</template>

<script>
import Button from 'primevue/button';
import InputText from 'primevue/inputtext';

export default {
    name: 'Spyname',
    data() {
        return {
            newUsername: null,
        }
    },
    components: {
        Button,
        InputText
    },
    computed: {
        userName () {
            return this.$store.state.username;
        },
    },
    mounted() {
        this.newUsername = this.userName
    }
}
</script>

<style scoped>

</style>